﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;

namespace PanelBarSample
{
    public class MainViewModel
    {
        public IList<TestCase> lstTestCase {get;set;}
        public IList<TestStepData1> lstTestStepData {get;set;}
        public IList<Datas> lstDatas {get;set;}
        public IList<Field> lstField {get;set;}
        public IList<KeyWords> lstKeyWords {get;set;}

        public MainViewModel()
        {
            lstTestCase = new List<TestCase>();
            lstTestStepData = new List<TestStepData1>();
            lstDatas = new List<Datas>();
            lstField = new List<Field>();
            lstKeyWords = new List<KeyWords>();
        }
       

        public IList<KeyWords> BindKeyWords()
        {
            lstKeyWords.Add(new KeyWords("KeyWord Description One", "KID 0001"));
            lstKeyWords.Add(new KeyWords("KeyWord Description Two", "KID 0002"));
            lstKeyWords.Add(new KeyWords("KeyWord Description Three", "KID 0003"));
            lstKeyWords.Add(new KeyWords("KeyWord Description Four", "KID 0004"));
            return lstKeyWords;
        }

        public IList<Field> BindFields()
        {
            lstField.Add(new Field("Field Description One", "Fid 0001"));
            lstField.Add(new Field("Field Description Two", "Fid 0002"));
            lstField.Add(new Field("Field Description Three", "Fid 0003"));
            return lstField;
        }

        public IList<Datas> Bindedata()
        {
            lstDatas.Add(new Datas("Data Description One", "Did 0001"));
            lstDatas.Add(new Datas("Data Description Two", "Did 0002"));
            lstDatas.Add(new Datas("Data Description Three", "Did 0003"));
            return lstDatas;
        }

        public IList<TestStepData1> BindStepData()
        {
            lstTestStepData.Add(new TestStepData1("Test Step To Execute One", "Description for Step to Execute One"));
            lstTestStepData.Add(new TestStepData1("Test Step To Execute Two", "Description for Step to Execute Two"));
            lstTestStepData.Add(new TestStepData1("Test Step To Execute Three", "Description for Step to Execute Three"));
            return lstTestStepData;
        }

        public IList<TestCase> BindTestCase()
        {
            lstTestCase.Add(new TestCase("TestCaseId One", "Desc Case Description One", BindStepData(), Bindedata(), BindFields(), BindKeyWords()));
            lstTestCase.Add(new TestCase("TestCaseId Two", "Desc Case Description Two", BindStepData(), Bindedata(), BindFields(), BindKeyWords()));
            lstTestCase.Add(new TestCase("TestCaseId Three", "Desc Case Description Three", BindStepData(), Bindedata(), BindFields(), BindKeyWords()));
            lstTestCase.Add(new TestCase("TestCaseId Four", "Desc Case Description Four", BindStepData(), Bindedata(), BindFields(), BindKeyWords()));
            lstTestCase.Add(new TestCase("TestCaseId Five", "Desc Case Description Five", BindStepData(), Bindedata(), BindFields(), BindKeyWords()));
            lstTestCase.Add(new TestCase("TestCaseId Six", "Desc Case Description Six", BindStepData(), Bindedata(), BindFields(), BindKeyWords()));
            return lstTestCase;
        }
    }
}
